# -*- coding: utf-8 -*-
"""
Created on Tue Mar 12 11:05:01 2013
Lecture d'un fichier tableau Synchronie 2003
@author: dumora
"""

from pylab import *
        
def change2usdecimalsep(s):
    return '.'.join(s.split(','))


fichier = open("synchronie_cinq_muons.txt","r")

titre = fichier.readline()
config = fichier.readline()
noms_variables = fichier.readline()[:-2].split(";")
unites_colonnes = fichier.readline()[:-2].split(";")
dt_colonnes = [float(s.split('=')[1]) for s in fichier.readline()[:-2].split(";")]

donnees = []

for i,n in enumerate(noms_variables):
    donnees += [{"Nom":n,"Unites":unites_colonnes[i],"Dt":dt_colonnes[i],"donnees":[]}]

for line in fichier.readlines():
    l = change2usdecimalsep(line[:-2])
    data = l.split(';')
    for i,d in enumerate(data):
        donnees[i]["donnees"] += [float(d)]

for i in range(1,len(donnees)):
    plot(donnees[0]["donnees"],donnees[i]["donnees"],label=donnees[i]["Nom"])
title('COSMIX barreau long (2 diodes) - 5 muons')
text(0.000012,0.3,ur"Données prises avec une centrale d'acquisition")
text(0.000012,0.28,ur"EUROSMART SYSAM-SP5 et Synchronie 2003")
xlabel('t en [s]')
ylabel('amplitude signal en [V]')
legend()
show()